# optimsimplex_setfv

Sets the function value at given index.

## Calling Sequence

                opt = optimsimplex_setfv(opt, ive, fv)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

ive

  A scalar, vertex index.

fv

  A scalar, function value.

## Description

The `optimsimplex_setfv` function sets the function value at given index and returns an updated simplex object.

## Example

         simplex = [
         3.     0.      0.
         4.     1.      0.
         5.     0.      2.
         ];

        s1 = optimsimplex_new ();
        s1 = optimsimplex_setall(s1, simplex);
        res = optimsimplex_getallfv(s1);
        disp(res)

        s1 = optimsimplex_setfv(s1, 1, 5.0);
        s1 = optimsimplex_setfv(s1, 2, 7.0);
        res = optimsimplex_getallfv(s1);
        disp(res)

        s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_getfv
- optimsimplex_getallfv
- optimsimplex_setallfv
- optimsimplex_getall
- optimsimplex_setall